/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34980A.h"

/// <summary>
///	Pointer to the class-compliant IIviSwtchChannels interface
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviSwtch_get_Channels(IIviSwtchChannels** Val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*Val), reinterpret_cast<void**>(Val));

	return hr;
}

/// <summary>
///	Pointer to the class-compliant IIviSwtchPath interface
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviSwtch_get_Path(IIviSwtchPath** Val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*Val), reinterpret_cast<void**>(Val));

	return hr;
}

/// <summary>
///	Pointer to the class-compliant IIviSwtchScan interface
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviSwtch_get_Scan(IIviSwtchScan** Val)
{
	HRESULT hr = S_OK;

	//hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*Val), reinterpret_cast<void**>(Val));
	*Val = NULL; // IviSwtchScan not supported, use instrument specific Scan interface instead.

	return hr;
}


